Shared Gallery Images - Get
Get a shared gallery image by subscription id or tenant id.
GET https://management.azure.com/subscriptions/{subscriptionId}/providers/Microsoft.Compute/locations/{location}/sharedGalleries/{galleryUniqueName}/images/{galleryImageName}?api-version=2024-03-03
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
gallery
|
path | True |
string |
The name of the Shared Gallery Image Definition from which the Image Versions are to be listed. |
|
gallery
|
path | True |
string |
The unique name of the Shared Gallery. |
|
location
|
path | True |
string minLength: 1 |
The name of Azure region. |
|
subscription
|
path | True |
string minLength: 1 |
The ID of the target subscription. |
|
api-version
|
query | True |
string minLength: 1 |
The API version to use for this operation. |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
Azure operation completed successfully. |
|
| Other Status Codes |
An unexpected error response. |
Security
azure_auth
Azure Active Directory OAuth2 Flow.
Type:
oauth2
Flow:
implicit
Authorization URL:
https://login.microsoftonline.com/common/oauth2/authorize
Scopes
| Name | Description |
|---|---|
| user_impersonation | impersonate your user account |
Examples
Get a shared gallery image.
Sample request
GET https://management.azure.com/subscriptions/{subscription-id}/providers/Microsoft.Compute/locations/myLocation/sharedGalleries/galleryUniqueName/images/myGalleryImageName?api-version=2024-03-03
Sample response
{
"properties": {
"osType": "Windows",
"osState": "Generalized",
"hyperVGeneration": "V1",
"identifier": {
"publisher": "myPublisherName",
"offer": "myOfferName",
"sku": "mySkuName"
},
"eula": "https://www.microsoft.com/en-us/",
"artifactTags": {
"ShareTag-Official1PGallery": "Official1PGallery"
}
},
"location": "myLocation",
"name": "myGalleryImageName",
"identifier": {
"uniqueId": "/SharedGalleries/galleryUniqueName/Images/myGalleryImageName"
}
}
Definitions
| Name | Description |
|---|---|
|
Api |
Api error. |
|
Api |
Api error base. |
| Architecture |
The architecture of the image. Applicable to OS disks only. |
|
Cloud |
An error response from the Compute service. |
| Disallowed |
Describes the disallowed disk types. |
|
Gallery |
A feature for gallery image. |
|
Gallery |
This is the gallery image definition identifier. |
|
Hyper |
The hypervisor generation of the Virtual Machine. Applicable to OS disks only. |
|
Image |
Describes the gallery image definition purchase plan. This is used by marketplace images. |
|
Inner |
Inner error details. |
|
Operating |
This property allows the user to specify whether the virtual machines created under this image are 'Generalized' or 'Specialized'. |
|
Operating |
This property allows you to specify the type of the OS that is included in the disk when creating a VM from a managed image. Possible values are: Windows, Linux. |
|
Recommended |
The properties describe the recommended machine configuration for this Image Definition. These properties are updatable. |
|
Resource |
Describes the resource range. |
|
Shared |
Specifies information about the gallery image definition that you want to create or update. |
ApiError
Api error.
| Name | Type | Description |
|---|---|---|
| code |
string |
The error code. |
| details |
The Api error details |
|
| innererror |
The Api inner error |
|
| message |
string |
The error message. |
| target |
string |
The target of the particular error. |
ApiErrorBase
Api error base.
| Name | Type | Description |
|---|---|---|
| code |
string |
The error code. |
| message |
string |
The error message. |
| target |
string |
The target of the particular error. |
Architecture
The architecture of the image. Applicable to OS disks only.
| Value | Description |
|---|---|
| x64 | |
| Arm64 |
CloudError
An error response from the Compute service.
| Name | Type | Description |
|---|---|---|
| error |
Api error. |
Disallowed
Describes the disallowed disk types.
| Name | Type | Description |
|---|---|---|
| diskTypes |
string[] |
A list of disk types. |
GalleryImageFeature
A feature for gallery image.
| Name | Type | Description |
|---|---|---|
| name |
string |
The name of the gallery image feature. |
| startsAtVersion |
string |
The minimum gallery image version which supports this feature. |
| value |
string |
The value of the gallery image feature. |
GalleryImageIdentifier
This is the gallery image definition identifier.
| Name | Type | Description |
|---|---|---|
| offer |
string |
The name of the gallery image definition offer. |
| publisher |
string |
The name of the gallery image definition publisher. |
| sku |
string |
The name of the gallery image definition SKU. |
HyperVGeneration
The hypervisor generation of the Virtual Machine. Applicable to OS disks only.
| Value | Description |
|---|---|
| V1 | |
| V2 |
ImagePurchasePlan
Describes the gallery image definition purchase plan. This is used by marketplace images.
| Name | Type | Description |
|---|---|---|
| name |
string |
The plan ID. |
| product |
string |
The product ID. |
| publisher |
string |
The publisher ID. |
InnerError
Inner error details.
| Name | Type | Description |
|---|---|---|
| errordetail |
string |
The internal error message or exception dump. |
| exceptiontype |
string |
The exception type. |
OperatingSystemStateTypes
This property allows the user to specify whether the virtual machines created under this image are 'Generalized' or 'Specialized'.
| Value | Description |
|---|---|
| Generalized |
Generalized image. Needs to be provisioned during deployment time. |
| Specialized |
Specialized image. Contains already provisioned OS Disk. |
OperatingSystemTypes
This property allows you to specify the type of the OS that is included in the disk when creating a VM from a managed image. Possible values are: Windows, Linux.
| Value | Description |
|---|---|
| Windows | |
| Linux |
RecommendedMachineConfiguration
The properties describe the recommended machine configuration for this Image Definition. These properties are updatable.
| Name | Type | Description |
|---|---|---|
| memory |
Describes the resource range. |
|
| vCPUs |
Describes the resource range. |
ResourceRange
Describes the resource range.
| Name | Type | Description |
|---|---|---|
| max |
integer (int32) |
The maximum number of the resource. |
| min |
integer (int32) |
The minimum number of the resource. |
SharedGalleryImage
Specifies information about the gallery image definition that you want to create or update.
| Name | Type | Description |
|---|---|---|
| identifier.uniqueId |
string |
The unique id of this shared gallery. |
| location |
string |
Resource location |
| name |
string |
Resource name |
| properties.architecture |
The architecture of the image. Applicable to OS disks only. |
|
| properties.artifactTags |
object |
The artifact tags of a shared gallery resource. |
| properties.disallowed |
Describes the disallowed disk types. |
|
| properties.endOfLifeDate |
string (date-time) |
The end of life date of the gallery image definition. This property can be used for decommissioning purposes. This property is updatable. |
| properties.eula |
string |
End-user license agreement for the current community gallery image. |
| properties.features |
A list of gallery image features. |
|
| properties.hyperVGeneration |
The hypervisor generation of the Virtual Machine. Applicable to OS disks only. |
|
| properties.identifier |
This is the gallery image definition identifier. |
|
| properties.osState |
This property allows the user to specify whether the virtual machines created under this image are 'Generalized' or 'Specialized'. |
|
| properties.osType |
This property allows you to specify the type of the OS that is included in the disk when creating a VM from a managed image. Possible values are: Windows, Linux. |
|
| properties.privacyStatementUri |
string |
Privacy statement uri for the current community gallery image. |
| properties.purchasePlan |
Describes the gallery image definition purchase plan. This is used by marketplace images. |
|
| properties.recommended |
The properties describe the recommended machine configuration for this Image Definition. These properties are updatable. |